> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the full data lineage graph

> Returns a LineageGraph (nodes + edges) built server-side from connectors, dbt models, source_tables references, and destination heuristics. Node types: connector, staging, clean, memory, knowledge. Status values: ok, error, pending, missing.



## OpenAPI

````yaml /api-reference/catalog-api.json get /v1/lineage
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /v1/lineage:
    get:
      tags:
        - lineage
      summary: Get the full data lineage graph
      description: >-
        Returns a LineageGraph (nodes + edges) built server-side from
        connectors, dbt models, source_tables references, and destination
        heuristics. Node types: connector, staging, clean, memory, knowledge.
        Status values: ok, error, pending, missing.
      operationId: get_lineage_v1_lineage_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LineageGraph'
components:
  schemas:
    LineageGraph:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/LineageNode'
          type: array
          title: Nodes
        edges:
          items:
            $ref: '#/components/schemas/LineageEdge'
          type: array
          title: Edges
      type: object
      required:
        - nodes
        - edges
      title: LineageGraph
    LineageNode:
      properties:
        id:
          type: string
          title: Id
        type:
          type: string
          enum:
            - connector
            - staging
            - clean
            - memory
            - knowledge
          title: Type
        label:
          type: string
          title: Label
        status:
          type: string
          enum:
            - ok
            - error
            - pending
            - missing
          title: Status
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          default: {}
      type: object
      required:
        - id
        - type
        - label
        - status
      title: LineageNode
    LineageEdge:
      properties:
        source:
          type: string
          title: Source
        target:
          type: string
          title: Target
      type: object
      required:
        - source
        - target
      title: LineageEdge

````